
Redmine - Patch #16905

Count users with a single query on group list

2014-05-16 16:15 - Jérôme BATAILLE

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 2.6.0   

Description

All users are loaded for each group, only to count them !

Associated revisions

Revision 13149 - 2014-05-24 12:41 - Jean-Philippe Lang

Count users with a single query on group list (#16905).

History

#1 - 2014-05-16 16:17 - Jérôme BATAILLE

- File RM_16905_groups_index_users_count_optim.diff added

Here is the patch

#2 - 2014-05-24 12:42 - Jean-Philippe Lang

- Subject changed from Admin : groups otpimization of users count to Count users with a single query on group list

- Category changed from Groups to Code cleanup/refactoring

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.6.0

This patch didn't work for me, as the hash keys are strings (tested with postgresql):

irb(main):001:0> User.joins(:groups).group('group_id').count

=> {"98913"=>2}

 Fix committed in r13149 with test.

#3 - 2014-05-24 17:44 - Jérôme BATAILLE

Jean-Philippe, thanks to have reviewed this patch.

#4 - 2014-09-13 13:13 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#5 - 2017-03-31 14:15 - Jérôme BATAILLE

Hi, you can indicate in the Resolution that's it's Fixed, if you have the time to, thanks a lot.

#6 - 2017-04-29 23:54 - Toshi MARUYAMA

Jérôme BATAILLE wrote:

Hi, you can indicate in the Resolution that's it's Fixed, if you have the time to, thanks a lot.

 "patch" tracker does not have "resolution" filed.

Files
